---
lang: en
title: 'API docs: authentication-jwt.userrepository.usercredentials'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/authentication-jwt
permalink: /doc/en/lb4/apidocs.authentication-jwt.userrepository.usercredentials.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication-jwt](./authentication-jwt.md) &gt; [UserRepository](./authentication-jwt.userrepository.md) &gt; [userCredentials](./authentication-jwt.userrepository.usercredentials.md)

## UserRepository.userCredentials property

**Signature:**

```typescript
readonly userCredentials: HasOneRepositoryFactory<UserCredentials, typeof User.prototype.id>;
```

